Bug 1692029 - [abrt] geoclue2: g_bit_lock(): geoclue killed by SIGSEGV
Summary: [abrt] geoclue2: g_bit_lock(): geoclue killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:651b4bf83f39c29cfc947b7db2e...
: 1707156 1708149 1710707 1710737 1711109 1711190 1711556 1711612 1712217 1712720 1713519 1716362 1718013 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-23 13:34 UTC by phnevsa
Modified: 2019-09-20 05:51 UTC (History)
53 users (show)

Fixed In Version: geoclue2-2.5.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 01:40:00 UTC


Attachments (Terms of Use)
File: backtrace (46.06 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: cgroup (293 bytes, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: core_backtrace (30.08 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: cpuinfo (1.27 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: dso_list (4.90 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: environ (193 bytes, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: exploitable (95 bytes, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: limits (1.29 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: maps (33.91 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: mountinfo (6.43 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: open_fds (609 bytes, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-03-23 13:34 UTC, phnevsa
no flags Details

Description phnevsa 2019-03-23 13:34:03 UTC
Version-Release number of selected component:
geoclue2-2.5.2-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue
crash_function: g_bit_lock
executable:     /usr/libexec/geoclue
journald_cursor: s=08461ee008534b55a43b1addbc337030;i=5f717;b=71748cd15b124a218393ea584fea853e;m=12dca02c;t=584aeb8655573;x=8551153fe914346b
kernel:         5.0.3-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            993

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_bit_lock at ../glib/gbitlock.c:214
 #1 g_variant_lock at ../glib/gvariant-core.c:985
 #2 g_variant_n_children at ../glib/gvariant-core.c:985
 #3 variant_to_string at ../src/gclue-mozilla.c:49
 #4 get_ssid_from_bss at ../src/gclue-mozilla.c:71
 #5 gclue_mozilla_should_ignore_bss at ../src/gclue-mozilla.c:414
 #6 on_bss_proxy_ready at ../src/gclue-wifi.c:313
 #7 g_task_return_now at ../gio/gtask.c:1209
 #8 g_task_return at ../gio/gtask.c:1278
 #10 g_task_return_boolean at ../gio/gtask.c:1795

Potential duplicate: bug 1222652

Comment 1 phnevsa 2019-03-23 13:34:06 UTC
Created attachment 1547258 [details]
File: backtrace

Comment 2 phnevsa 2019-03-23 13:34:07 UTC
Created attachment 1547259 [details]
File: cgroup

Comment 3 phnevsa 2019-03-23 13:34:09 UTC
Created attachment 1547260 [details]
File: core_backtrace

Comment 4 phnevsa 2019-03-23 13:34:10 UTC
Created attachment 1547261 [details]
File: cpuinfo

Comment 5 phnevsa 2019-03-23 13:34:11 UTC
Created attachment 1547262 [details]
File: dso_list

Comment 6 phnevsa 2019-03-23 13:34:12 UTC
Created attachment 1547263 [details]
File: environ

Comment 7 phnevsa 2019-03-23 13:34:13 UTC
Created attachment 1547264 [details]
File: exploitable

Comment 8 phnevsa 2019-03-23 13:34:14 UTC
Created attachment 1547265 [details]
File: limits

Comment 9 phnevsa 2019-03-23 13:34:16 UTC
Created attachment 1547266 [details]
File: maps

Comment 10 phnevsa 2019-03-23 13:34:17 UTC
Created attachment 1547267 [details]
File: mountinfo

Comment 11 phnevsa 2019-03-23 13:34:18 UTC
Created attachment 1547268 [details]
File: open_fds

Comment 12 phnevsa 2019-03-23 13:34:19 UTC
Created attachment 1547269 [details]
File: proc_pid_status

Comment 13 Zeeshan Ali 2019-03-24 16:58:07 UTC
This will be fixed in git master soon: https://gitlab.freedesktop.org/geoclue/geoclue/merge_requests/45

Comment 14 Mario Lopez 2019-04-25 17:42:35 UTC
Similar problem has been detected:

The computer was in boot process

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue
crash_function: g_bit_lock
executable:     /usr/libexec/geoclue
journald_cursor: s=d1eb87f2b14141c686db4dbbfddcf13c;i=13153;b=09e15b3cb83b4b8eb517ef72b76a192e;m=20cde379;t=5875ba8d89790;x=b979fd61f4d7a055
kernel:         5.0.8-300.fc30.x86_64
package:        geoclue2-2.5.2-2.fc30
reason:         geoclue killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            997

Comment 15 Celio 2019-05-06 23:19:29 UTC
*** Bug 1707156 has been marked as a duplicate of this bug. ***

Comment 16 Alessandro Machado 2019-05-09 08:52:45 UTC
*** Bug 1708149 has been marked as a duplicate of this bug. ***

Comment 17 martin.lepetit 2019-05-16 06:59:25 UTC
*** Bug 1710707 has been marked as a duplicate of this bug. ***

Comment 18 navneet 2019-05-16 08:02:01 UTC
*** Bug 1710737 has been marked as a duplicate of this bug. ***

Comment 19 Ramprasad G 2019-05-17 01:30:17 UTC
*** Bug 1711109 has been marked as a duplicate of this bug. ***

Comment 20 taranis75 2019-05-17 07:49:46 UTC
*** Bug 1711190 has been marked as a duplicate of this bug. ***

Comment 21 Mike Thompson 2019-05-18 15:56:00 UTC
*** Bug 1711556 has been marked as a duplicate of this bug. ***

Comment 22 Willy Kuchler 2019-05-18 23:55:13 UTC
*** Bug 1711612 has been marked as a duplicate of this bug. ***

Comment 23 Fedora Update System 2019-05-20 10:12:03 UTC
geoclue2-2.5.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d28a820c42

Comment 24 relentless.1980 2019-05-21 04:06:15 UTC
*** Bug 1712217 has been marked as a duplicate of this bug. ***

Comment 25 Fedora Update System 2019-05-22 01:40:00 UTC
geoclue2-2.5.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Reza Sh 2019-05-22 06:51:52 UTC
*** Bug 1712720 has been marked as a duplicate of this bug. ***

Comment 27 fhirsch4 2019-05-24 00:51:50 UTC
*** Bug 1713519 has been marked as a duplicate of this bug. ***

Comment 28 Thomas Perrot 2019-06-03 10:27:46 UTC
*** Bug 1716362 has been marked as a duplicate of this bug. ***

Comment 29 Us3r 2019-06-06 16:59:31 UTC
*** Bug 1718013 has been marked as a duplicate of this bug. ***

Comment 30 harri 2019-09-20 05:51:35 UTC
Similar problem has been detected:

I don't know how this problem happens.
It was on the screen in the morning.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue
crash_function: g_bit_lock
executable:     /usr/libexec/geoclue
journald_cursor: s=b17bc19211cd4fc6be348d1ee47d2ed1;i=2f6a4;b=cff9e12a4d2f4a54aeeb3deb703b4234;m=362f32441;t=58956b895f2e1;x=a76d9e60c2ab1b1d
kernel:         5.0.14-300.fc30.x86_64
package:        geoclue2-2.5.2-2.fc30
reason:         geoclue killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            992


Note You need to log in before you can comment on or make changes to this bug.